# Generated from vaextractor-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vaextractor

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Rule based NLP library to extract visual acuities
License: GNU GPLv3
URL: http://github.org/ayl/vaextractor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) = 5.9.1
BuildArch: noarch

%description
vaextractor uses rule-based NLP strategy to extract Snellen visual acuities
from unstructured ophthalmology clinical notes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.1-1
- Initial package
